%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate clang-sys

Name:           rust-clang-sys
Version:        1.8.1
Release:    1%{?dist}
Summary:        Rust bindings for libclang

License:        Apache-2.0
URL:            https://crates.io/crates/clang-sys
Source0:         %{crates_source}
Patch:          clang-sys-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  clang-devel >= 3.5

%global _description %{expand:
Rust bindings for libclang.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 3.5

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_10_0-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 10.0

%description -n %{name}+clang_10_0-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_10_0" feature of the "%{crate}" crate.

%files       -n %{name}+clang_10_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_11_0-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 11.0

%description -n %{name}+clang_11_0-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_11_0" feature of the "%{crate}" crate.

%files       -n %{name}+clang_11_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_12_0-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 12.0

%description -n %{name}+clang_12_0-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_12_0" feature of the "%{crate}" crate.

%files       -n %{name}+clang_12_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_13_0-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 13.0

%description -n %{name}+clang_13_0-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_13_0" feature of the "%{crate}" crate.

%files       -n %{name}+clang_13_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_14_0-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 14.0

%description -n %{name}+clang_14_0-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_14_0" feature of the "%{crate}" crate.

%files       -n %{name}+clang_14_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_15_0-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 15.0

%description -n %{name}+clang_15_0-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_15_0" feature of the "%{crate}" crate.

%files       -n %{name}+clang_15_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_16_0-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 16.0

%description -n %{name}+clang_16_0-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_16_0" feature of the "%{crate}" crate.

%files       -n %{name}+clang_16_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_17_0-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 17.0

%description -n %{name}+clang_17_0-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_17_0" feature of the "%{crate}" crate.

%files       -n %{name}+clang_17_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_3_5-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 3.5

%description -n %{name}+clang_3_5-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_3_5" feature of the "%{crate}" crate.

%files       -n %{name}+clang_3_5-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_3_6-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 3.6

%description -n %{name}+clang_3_6-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_3_6" feature of the "%{crate}" crate.

%files       -n %{name}+clang_3_6-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_3_7-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 3.7

%description -n %{name}+clang_3_7-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_3_7" feature of the "%{crate}" crate.

%files       -n %{name}+clang_3_7-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_3_8-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 3.8

%description -n %{name}+clang_3_8-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_3_8" feature of the "%{crate}" crate.

%files       -n %{name}+clang_3_8-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_3_9-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 3.9

%description -n %{name}+clang_3_9-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_3_9" feature of the "%{crate}" crate.

%files       -n %{name}+clang_3_9-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_4_0-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 4.0

%description -n %{name}+clang_4_0-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_4_0" feature of the "%{crate}" crate.

%files       -n %{name}+clang_4_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_5_0-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 5.0

%description -n %{name}+clang_5_0-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_5_0" feature of the "%{crate}" crate.

%files       -n %{name}+clang_5_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_6_0-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 6.0

%description -n %{name}+clang_6_0-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_6_0" feature of the "%{crate}" crate.

%files       -n %{name}+clang_6_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_7_0-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 7.0

%description -n %{name}+clang_7_0-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_7_0" feature of the "%{crate}" crate.

%files       -n %{name}+clang_7_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_8_0-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 8.0

%description -n %{name}+clang_8_0-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_8_0" feature of the "%{crate}" crate.

%files       -n %{name}+clang_8_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang_9_0-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-devel >= 9.0

%description -n %{name}+clang_9_0-devel %{_description}

This package contains library source intended for building other packages which
use the "clang_9_0" feature of the "%{crate}" crate.

%files       -n %{name}+clang_9_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libcpp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libcpp-devel %{_description}

This package contains library source intended for building other packages which
use the "libcpp" feature of the "%{crate}" crate.

%files       -n %{name}+libcpp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libloading-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libloading-devel %{_description}

This package contains library source intended for building other packages which
use the "libloading" feature of the "%{crate}" crate.

%files       -n %{name}+libloading-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+runtime-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang-libs

%description -n %{name}+runtime-devel %{_description}

This package contains library source intended for building other packages which
use the "runtime" feature of the "%{crate}" crate.

%files       -n %{name}+runtime-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+static-devel %{_description}

This package contains library source intended for building other packages which
use the "static" feature of the "%{crate}" crate.

%files       -n %{name}+static-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.1-1
- initial build
